# Generated from distribution-api-client-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name distribution-api-client

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Programmatic API to access Wizypay's Distribution API
License: MIT
URL: http://developers.wizypay.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(webmock) >= 1.22
# BuildRequires: rubygem(webmock) < 2
# BuildRequires: rubygem(timecop) >= 0.8
# BuildRequires: rubygem(timecop) < 1
BuildArch: noarch

%description
Programmatic API to access Wizypay's Distribution API.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/spec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.1.0-1
- Initial package
